Bug 582908 - RHEL4.8-i686 panic in vfs_getattr64() Bad EIP value. [rhel-4.8.z]
Summary: RHEL4.8-i686 panic in vfs_getattr64() Bad EIP value. [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 544381
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 07:11 UTC by RHEL Product and Program Management
Modified: 2011-01-30 23:17 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In some circumstances, when a Red Hat Enterprise Linux client connected to a re-booted Windows-based NFS server, server-side filehandle-to-inode mapping changes caused a kernel panic. "bad_inode_ops" handling was changed to prevent this. Note: filehandle-to-inode mapping changes may still cause errors, but not panics.
Clone Of:
Environment:
Last Closed: 2010-05-05 13:05:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0394 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2010-05-05 13:05:05 UTC

Description RHEL Product and Program Management 2010-04-16 07:11:16 UTC
This bug has been copied from bug #544381 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 4 Vitaly Mayatskikh 2010-04-20 08:32:24 UTC
Committed in 89.0.25.

Comment 8 errata-xmlrpc 2010-05-05 13:05:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0394.html

Comment 9 Douglas Silas 2011-01-30 23:17:20 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In some circumstances, when a Red Hat Enterprise Linux client connected to a re-booted Windows-based NFS server, server-side filehandle-to-inode mapping changes caused a kernel panic. "bad_inode_ops" handling was changed to prevent this.

Note: filehandle-to-inode mapping changes may still cause errors, but not panics.


Note You need to log in before you can comment on or make changes to this bug.